Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1346663 - switchdesk inoperable
Summary: switchdesk inoperable
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: switchdesk
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-15 07:16 UTC by Joachim Backes
Modified: 2016-06-21 16:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-20 08:27:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Joachim Backes 2016-06-15 07:16:27 UTC
Description of problem:
After installing the switchdesk package, I tried:


sudo switchdesk
Red Hat Linux switchdesk 4.0
Copyright (C) 1999-2010 Red Hat, Inc
Redistributable under the terms of the GNU General Public License
Traceback (most recent call last):
  File "/usr/share/switchdesk/switchdesk-gui.py", line 51, in <module>
    import gtk.glade
ImportError: No module named glade

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.sudo dnf install switchdesk
2.sudo switchdesk
3.

Actual results:
ImportError: No module named glade


Expected results:
Switchdesk offers some displaymanager

Additional info:

Comment 1 Joachim Backes 2016-06-20 08:27:55 UTC
runs after an additionall install of switchdesk-gui

Comment 2 Anand 2016-06-21 14:50:04 UTC
I disagree with the solution given here :- Its either a failure to identify package dependency properly in dnf install or something else. I had 
switchdesk and switchdesk-gui installed via dnf install. 

still my switchdesk did not work in GUI mode with same error mentioned above.
I had to figure out manually that dnf install  pygtk2-libglade
solved this issue. Please note this package was not auto suggested 
as either a dependency or it was installed with default python rpm package.

After this switchdesk works fine!

Comment 3 Joachim Backes 2016-06-21 16:00:27 UTC
(In reply to Anand from comment #2)
> I disagree with the solution given here :- Its either a failure to identify
> package dependency properly in dnf install or something else. I had 
> switchdesk and switchdesk-gui installed via dnf install. 
> 
> still my switchdesk did not work in GUI mode with same error mentioned above.
> I had to figure out manually that dnf install  pygtk2-libglade
> solved this issue. Please note this package was not auto suggested 
> as either a dependency or it was installed with default python rpm package.
> 
> After this switchdesk works fine!

It has been a long story for me. I forgot to report some additional stuff:

1. ou are righjt, installing switchdesk-gui was not sufficient (still switchdesk did'nt work)
2 Coincidentally,  after having installed an additional environment group (mate-desktop), suddenly switchdesk was operable, so I guess: by  the installation of the env group, pygtk2-libglade was installed too. This would confirm your report.

Joachim Backes


Note You need to log in before you can comment on or make changes to this bug.